com.fasterxml.jackson.core.format

## Class InputAccessor.Std

- java.lang.Object
- - com.fasterxml.jackson.core.format.InputAccessor.Std

All Implemented Interfaces:
  InputAccessor

Enclosing interface:
  InputAccessor

    public static class InputAccessor.Std
    extends Object
    implements InputAccessor

Basic implementation that reads data from given `InputStream` and buffers it as necessary.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.fasterxml.jackson.core.format.InputAccessor

`InputAccessor.Std`

### Field Summary

Fields
`protected byte[]` `_buffer`
`protected int` `_bufferedEnd` End of valid bytes in the buffer (points to one past last valid)
`protected int` `_bufferedStart`
`protected InputStream` `_in`
`protected int` `_ptr` Pointer to next available buffered byte in `_buffer`.

### Constructor Summary

Constructors
Constructor and Description
`InputAccessor.Std(byte[] inputDocument)` Constructor used when the full input (or at least enough leading bytes of full input) is available.
`InputAccessor.Std(byte[] inputDocument, int start, int len)` Constructor used when the full input (or at least enough leading bytes of full input) is available.
`InputAccessor.Std(InputStream in, byte[] buffer)` Constructor used when content to check is available via input stream and must be read.

### Method Summary

Methods
`DataFormatMatcher` `createMatcher(JsonFactory match, MatchStrength matchStrength)`
`boolean` `hasMoreBytes()` Method to call to check if more input is available.
`byte` `nextByte()` Returns next byte available, if any; if no more bytes are available, will throw `EOFException`.
`void` `reset()` Method that can be called to reset accessor to read from beginning of input.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _in

    protected final InputStream _in

#### _buffer

    protected final byte[] _buffer

#### _bufferedStart

    protected final int _bufferedStart

#### _bufferedEnd

    protected int _bufferedEnd

End of valid bytes in the buffer (points to one past last valid)

#### _ptr

    protected int _ptr

Pointer to next available buffered byte in `_buffer`.

### Constructor Detail

#### InputAccessor.Std

    public InputAccessor.Std(InputStream in,
                     byte[] buffer)

Constructor used when content to check is available via input stream and must be read.

#### InputAccessor.Std

    public InputAccessor.Std(byte[] inputDocument)

Constructor used when the full input (or at least enough leading bytes of full input) is available.

#### InputAccessor.Std

    public InputAccessor.Std(byte[] inputDocument,
                     int start,
                     int len)

Constructor used when the full input (or at least enough leading bytes of full input) is available.

Since:
  2.1

### Method Detail

#### hasMoreBytes

    public boolean hasMoreBytes()
                         throws IOException

Description copied from interface: `InputAccessor`
Method to call to check if more input is available. Since this may result in more content to be read (at least one more byte), a `IOException` may get thrown.

Specified by:
  `hasMoreBytes` in interface `InputAccessor`
Throws:
  `IOException`

#### nextByte

    public byte nextByte()
                  throws IOException

Description copied from interface: `InputAccessor`
Returns next byte available, if any; if no more bytes are available, will throw `EOFException`.

Specified by:
  `nextByte` in interface `InputAccessor`
Throws:
  `IOException`

#### reset

    public void reset()

Description copied from interface: `InputAccessor`
Method that can be called to reset accessor to read from beginning of input.

Specified by:
  `reset` in interface `InputAccessor`

#### createMatcher

    public DataFormatMatcher createMatcher(JsonFactory match,
                                  MatchStrength matchStrength)